> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contacts report by status

> Get a report of contacts organized by statuses, with an optional archived filter



## OpenAPI

````yaml https://api.callers.ai/openapi-json get /campaigns/{campaignId}/report
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /campaigns/{campaignId}/report:
    get:
      tags:
        - Contacts
      summary: Get contacts report by status
      description: >-
        Get a report of contacts organized by statuses, with an optional
        archived filter
      operationId: CampaignPublicController_getCampaignReport
      parameters:
        - name: campaignId
          required: true
          in: path
          description: Id of the campaign as a string ObjectId value.
          schema:
            type: string
        - name: archived
          required: false
          in: query
          description: >-
            Archived filter for getting the report of archived contacts. Default
            is false.
          schema:
            type: boolean
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      responses:
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCampaignReportDto'
      security:
        - Authorization: []
components:
  schemas:
    PublicCampaignReportDto:
      type: object
      properties:
        totalCallsCount:
          type: number
          description: Total count of calls.
      required:
        - totalCallsCount
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````